/**************************************************************************/
/* GF91 ( 青紙明細テーブル )                                              */
/*                                                                        */
/* Created : 2009/12/10 12:30:17                                          */
/**************************************************************************/
CREATE TABLE GF91 (
   SYSTEM_ID  VARCHAR(10)                                            /* 10  システムID   */
 , PGID       VARCHAR(30)                  NOT NULL                  /* 20  PG-ID        */
 , TABLE_NAME VARCHAR(50)                  NOT NULL                  /* 30  テーブル名   */
 , KBACCS     VARCHAR(1)                                             /* 40  アクセス区分 */
 , BIKO       VARCHAR(2000)                                          /* 50  備考         */
 , UNIQ       BIGINT                       NOT NULL PRIMARY KEY      /* 60  ユニークキー */
 , FGJ        VARCHAR(1)       DEFAULT '1' NOT NULL                  /* 70  状態フラグ   */
 , DYSET      VARCHAR(14)                                            /* 80  登録日時     */
 , PGSET      VARCHAR(10)                                            /* 90  作成PG       */
 , PGPSET     VARCHAR(10)                                            /* 100 作成親PG     */
 , USRSET     VARCHAR(10)                                            /* 110 作成社員     */
 , DYUPD      VARCHAR(14)                                            /* 120 更新日時     */
 , PGUPD      VARCHAR(10)                                            /* 130 更新PG       */
 , PGPUPD     VARCHAR(10)                                            /* 140 更新親PG     */
 , USRUPD     VARCHAR(10)                                            /* 150 更新者       */
);

CREATE SEQUENCE GF91S01 ;


CREATE TRIGGER GF91T01 FOR GF91
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF91S01,1 );
  END; 


