/**************************************************************************/
/* GF72 ( 登録ボタン状態テーブル )                                        */
/*                                                                        */
/* Created : 2009/12/10 12:29:44                                          */
/**************************************************************************/
CREATE TABLE GF72 (
   SYSTEM_ID  VARCHAR2(10)                 NOT NULL      /* 10  システムID   */
 , ADDRESS    VARCHAR2(256)                              /* 20  アドレス     */
 , PRE_FIX    VARCHAR2(10)                 NOT NULL      /* 25  名前空間     */
 , FILENAME   VARCHAR2(30)                               /* 30  ファイル名   */
 , FILEPATH   VARCHAR2(256)                              /* 40  ファイルパス */
 , MODIFIED   VARCHAR2(14)                               /* 50  最終更新日   */
 , TAGNAME    VARCHAR2(30)                               /* 60  タグ名称     */
 , TO_GAMENID VARCHAR2(30)                               /* 70  先画面ID     */
 , HREF       VARCHAR2(256)                              /* 80  リンク先URL  */
 , TARGET     VARCHAR2(10)                               /* 90  ターゲット   */
 , P_KEYS     VARCHAR2(500)                              /* 100 引数キー     */
 , P_VALS     VARCHAR2(500)                              /* 110 引数値       */
 , COMMAND    VARCHAR2(30)                               /* 120 コマンド     */
 , LBLCD      VARCHAR2(30)                               /* 130 ラベルコード */
 , MSGCD      VARCHAR2(20)                               /* 140 メッセージID */
 , ONCLICK    VARCHAR2(200)                              /* 150 イベント     */
 , ROLES      VARCHAR2(500)                              /* 160 ロールズ     */
 , FGOMIT     VARCHAR2(1)      DEFAULT '0' NOT NULL      /* 170 除外フラグ   */
 , UNIQ       NUMBER(9)        DEFAULT 0   NOT NULL      /* 800 ユニークキー */
 , FGJ        VARCHAR2(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET      VARCHAR2(14)                               /* 820 登録日時     */
 , PGSET      VARCHAR2(10)                               /* 830 作成PG       */
 , PGPSET     VARCHAR2(10)                               /* 840 作成親PG     */
 , USRSET     VARCHAR2(10)                               /* 850 作成社員     */
 , DYUPD      VARCHAR2(14)                               /* 860 更新日時     */
 , PGUPD      VARCHAR2(10)                               /* 870 更新PG       */
 , PGPUPD     VARCHAR2(10)                               /* 880 更新親PG     */
 , USRUPD     VARCHAR2(10)                               /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 256K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GF72S01 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF72T01 
BEFORE INSERT ON GF72
FOR EACH ROW 
BEGIN 
SELECT GF72S01.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

